#####################
# README: Defines a template to be used as a starting point for defining a service pipeline
#####################

trigger:
  batch: true
  branches:
    include:
      - master
  paths:
    exclude:
      - /**/*.md
      - .gitignore
      - images/

pr:
  autoCancel: true
  branches:
    include:
      - '*'
  paths:
    exclude:
      - /**/*.md
      - .gitignore
      - images/

resources:
  repositories:
    - repository: osdu-infrastructure
      type: git
      name: osdu-r2/osdu-infrastructure

variables:
  - group: 'Azure Common Secrets'
  - group: 'Azure - Common'

  - name: serviceName
    value: 'legal'

stages:
  - template: devops/service-pipelines/build-stage.yml@osdu-infrastructure
    parameters:
      mavenGoal: 'package'
      mavenPublishJUnitResults: true
      serviceCoreMavenOptions: '-P legal-core'
      mavenOptions: '-P legal-azure'
      copyFileContents: |
        pom.xml
        provider/legal-azure/maven/settings.xml
        provider/legal-azure/pom.xml
        provider/legal-azure/target/*-spring-boot.jar
      copyFileContentsToFlatten: ''
      mavenSettingsFile: './maven/settings.xml'
      serviceBase: ${{ variables.serviceName }}
      testingRootFolder: 'testing'
  - template: devops/service-pipelines/deploy-stages.yml@osdu-infrastructure
    parameters:
      serviceName: ${{ variables.serviceName }}
      testCoreMavenPomFile: 'testing/legal-test-core/pom.xml'
      testCoreMavenOptions: '--settings $(System.DefaultWorkingDirectory)/drop/deploy/testing/maven/settings.xml'
      providers:
        -  name: Azure
           environments: ['demo']
